## pythran 0.11.0+ds

=== requirements.txt ===
ply>=3.4
gast~=0.5.0
numpy
beniget~=0.4.0

=== docs/requirements.txt ===
numpy
nbsphinx
scipy
guzzle_sphinx_theme

## pythran 0.10.0%2Bds2

=== debian/control ===
Source: pythran
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diego M. Rodriguez <diego@moreda.io>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 libboost-dev,
 libxsimd-dev,
 pandoc <!nodoc>,
 python3-all-dev,
 python3-beniget,
 python3-gast,
 python3-guzzle-sphinx-theme <!nodoc>,
 python3-numpy,
 python3-pip,
 python3-ply,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://github.com/serge-sans-paille/pythran
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pythran.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pythran
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pythran
Architecture: any
Depends:
 g++ | c++-compiler,
 libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
 libboost-dev,
 python3-dev,
 libxsimd-dev,
 ${misc:Depends},
 ${python3:Depends},
Description: ahead of time compiler for Python
 Pythran is an ahead of time compiler for a subset of the Python
 language, with a focus on scientific computing. It takes a Python
 module annotated with a few interface descriptions and turns it into a
 native Python module with the same interface, but (hopefully) faster.
 .
 This package contains the Python 3 version of the library.

Package: python-pythran-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 python3-guzzle-sphinx-theme,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: ahead of time compiler for Python (Documentation)
 Pythran is an ahead of time compiler for a subset of the Python
 language, with a focus on scientific computing. It takes a Python
 module annotated with a few interface descriptions and turns it into a
 native Python module with the same interface, but (hopefully) faster.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=pythran

export PYBUILD_TEST_PYTEST=1
# Copy the test package, as it is inside the root package (pythran.tests).
export PYBUILD_BEFORE_TEST=cp -r {dir}/pythran/tests {build_dir}/pythran
# Cleanup the test package, along with files that are generated during
# tests and not needed by the final package.
export PYBUILD_AFTER_TEST=rm -r {build_dir}/pythran/tests; rm -f {build_dir}/test_*.so; rm -f {build_dir}/_configtest*
# Llimit the testing to one file, as the full test suite is very time
# consuming.
export PYBUILD_TEST_ARGS=pythran/tests/test_base.py
# Disable copying third party libraries during build and install.
export PYBUILD_BUILD_ARGS=build_py --no-boost --no-xsimd
export PYBUILD_INSTALL_ARGS=build_py --no-boost --no-xsimd

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-pythran-doc/usr/share/doc/python-pythran-doc/html
	dh_sphinxdoc
endif

# Override compressing the font files, as they are symlinked by d/*.links
override_dh_compress:
	dh_compress -X.eot -X.otf -X.ttf -X.woff -X.woff2

# Target for regenerating the manpages.
# This target is intended to be executed manually, and requires
# `help2man` to be installed.
help2man:
	for script in pythran pythran-config; do \
	help2man --no-info \
		--name="part of pythran: ahead of time compiler for Python" \
		--version-string=$(DEB_VERSION_UPSTREAM) \
		-o debian/$${script}.1 \
		--no-discard-stderr \
        --include debian/python3-pythran.manpages.include \
        $${script}; \
	done

## pythran 0.10.0+ds2

=== debian/changelog ===
pythran (0.10.0+ds2-1) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * d/tests: run each file separately
  * d/copyright: repack without logo.svg
  * d/patches: avoid nbsphinx documentation

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Jan 2022 19:06:15 +0100

pythran (0.10.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]

  * Initial release (Closes: #991143)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Dec 2021 17:34:37 +0100

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, python3-pytest, python3-scipy, libatlas-base-dev

# Needs root for update-alternatives.
Tests: pythran-openblas
Restrictions: needs-root
Depends: @, python3-all, python3-pytest, python3-scipy, libopenblas-dev

# Needs root for update-alternatives.
Tests: pythran-blas
Restrictions: needs-root
Depends: @, python3-all, python3-pytest, python3-scipy, libblas-dev

## pythran 0.11.0+ds

=== debian/changelog ===
pythran (0.11.0+ds-7) unstable; urgency=medium

  * Team upload.
  * debian/tests: also skip test_multitype_run* in test_cases.py
    (upstream Issue#2011)

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Aug 2022 22:39:32 +0200

pythran (0.11.0+ds-6) unstable; urgency=medium

  * Team upload.
  * debian/tests: skip test_repeat_string_run0 in test_rosetta, which
    fails with gcc-12. Closes: #1016155.
    See https://github.com/serge-sans-paille/pythran/issues/2011

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Aug 2022 12:52:38 +0200

pythran (0.11.0+ds-5) unstable; urgency=medium

  * Team upload.
  * debian/tests: restrict openblas tests to only those architectures
    for which openblas is available. i.e. not armel

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Jul 2022 14:56:03 +0200

pythran (0.11.0+ds-4) unstable; urgency=medium

  * Team upload.
  * drop Build-Depends: pandoc (sphinx is used to build docs)
  * build docs before running dh_sphinxdoc-indep

 -- Drew Parsons <dparsons@debian.org>  Fri, 01 Jul 2022 15:32:27 +0200

pythran (0.11.0+ds-3) unstable; urgency=medium

  * Team upload.
  * debian/tests: TestNumpyFunc3.test_interp is flakey at levels
    6,7,8 especially with complex numbers (_7c etc) and depending on
    BLAS implementation. i386 is flakey also in the real variant, so
    skip all test_interp_6, _7, _8.
    See https://github.com/serge-sans-paille/pythran/issues/2000

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Jun 2022 11:12:36 +0200

pythran (0.11.0+ds-2) experimental; urgency=medium

  * Team upload.
  * Depends: libxsimd-dev for all arches. pythran still uses xsimd in
    scalar-mode on "unsupported" arches. Closes: #1012437.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Jun 2022 17:42:16 +0200

pythran (0.11.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * update versioned Build-Depends: python3-beniget (>= 0.4.0~),
    python3-gast (>= 0.5.0~), python3-ply (>= 0.34~)
  * restrict Depends: libxsimd-dev to xsimd 0.8-supported arches only:
    amd64 arm64 kfreebsd-any. armhf and i386 still fail xsimd tests
    so don't include them yet. Closes: #1012437, #1013570.
    - Depends: libxsimd-dev (>= 8.0.5~) [amd64 arm64 kfreebsd-any]

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jun 2022 14:39:50 +0200

pythran (0.10.0+ds2-8) unstable; urgency=medium

  * Team upload.
  * debian/control: drop Testsuite: autopkgtest-pkg-python
    since can't be restricted to built arches only
    (and redundant anyway since real tests are used in debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jun 2022 10:37:20 +0200

pythran (0.10.0+ds2-7) unstable; urgency=medium

  * Team upload.
  * debian/tests: split pythran-test-cases into a separate test (takes
    some time, causing timeout failures when run with other tests).
    Reinstate test_numpy_func3.py on i386.

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Jun 2022 18:06:40 +0200

pythran (0.10.0+ds2-6) unstable; urgency=medium

  * Team upload.
  * reinstate greyreconstruct tests on i386 (fixed by patch)
  * debian/tests: skip test_numpy_func3.py on i386 (times out)

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Jun 2022 00:48:10 +0200

pythran (0.10.0+ds2-5) unstable; urgency=medium

  * Team upload.
  * debian patch scikit-image_greyreconstruct_int.patch aims to fix
    error in int comparison on i386 (upstream issue #1993)

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 May 2022 11:19:33 +0200

pythran (0.10.0+ds2-4) unstable; urgency=medium

  * Team upload.
  * skip TestScikitImage.test__greyreconstruct in debian/tests on i386
    (see https://github.com/serge-sans-paille/pythran/issues/1993)
  * restrict debian/tests to arches on which pythran builds
    successfully (currently amd64, arm64, i386, hppa, m68k)
  * fix salsa Vcs fields in debian/control
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 May 2022 18:44:51 +0200

pythran (0.10.0+ds2-3) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * d/control: fix python3 dev dependency
  * d/tests: use installed files instead of build dir

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Apr 2022 19:25:43 +0200

pythran (0.10.0+ds2-2) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * d/tests: use march=native flag in i386 tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Mar 2022 20:58:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,21 @@
  dh-python,
  libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
  libboost-dev,
- libxsimd-dev,
- pandoc <!nodoc>,
+ libxsimd-dev (>= 8.0.5~),
  python3-all-dev,
- python3-beniget,
- python3-gast,
+ python3-beniget (>= 0.4.0~),
+ python3-gast (>= 0.5.0~),
  python3-guzzle-sphinx-theme <!nodoc>,
  python3-numpy,
  python3-pip,
- python3-ply,
+ python3-ply (>= 0.34~),
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/serge-sans-paille/pythran
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-pythran.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pythran
-Testsuite: autopkgtest-pkg-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/pythran.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pythran
 Rules-Requires-Root: no
 
 Package: python3-pythran
@@ -33,8 +31,8 @@
  g++ | c++-compiler,
  libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
  libboost-dev,
- python3-dev,
- libxsimd-dev,
+ python3-all-dev,
+ libxsimd-dev (>= 8.0.5~),
  ${misc:Depends},
  ${python3:Depends},
 Description: ahead of time compiler for Python

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/architecture.mk
 
 export PYBUILD_NAME=pythran
 
@@ -22,10 +23,16 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_sphinxdoc:
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),i386)
+	CXXFLAGS="-march=native" dh_auto_test
+else
+	dh_auto_test
+endif
+
+execute_before_dh_sphinxdoc-indep:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-pythran-doc/usr/share/doc/python-pythran-doc/html
-	dh_sphinxdoc
 endif
 
 # Override compressing the font files, as they are symlinked by d/*.links

=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
-Tests: upstream-tests
+Tests: upstream-tests, pythran-test-cases
 Depends: @, python3-all, python3-pytest, python3-scipy, libatlas-base-dev
 
 # Needs root for update-alternatives.
 Tests: pythran-openblas
 Restrictions: needs-root
 Depends: @, python3-all, python3-pytest, python3-scipy, libopenblas-dev
+Architecture: amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el riscv64 sparc64 s390x
 
 # Needs root for update-alternatives.
 Tests: pythran-blas

## pythran 0.15.0+ds

=== debian/changelog ===
pythran (0.15.0+ds-2) unstable; urgency=medium

  * Team upload.
  * move python3-nbsphinx, pandoc to Build-Depends-Indep
    (pandoc is not available on all arches)
  * refresh manpages (debian/rules help2man)

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Jan 2024 12:49:50 +0100

pythran (0.15.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - supports Python 3.12. Drop debian patch python_3.12_258ab9a.diff
    - now uses pyproject.toml. Build-Depends: pybuild-plugin-pyproject
      Deprecated debian patch
      0002-Exclude-pythran-pythonic-patch-README.rst.patch
  * update debian/copyright. boost and xsimd (third-party source to be
    excluded from the source tarball) are now placed in the pythran
    dir in the upstream tarball.
  * enable doc build with nbsphinx
    - Build-Depends: python3-nbsphinx, pandoc <!nodoc>
    - drop debian patch
      0005-Disable-jupyter-based-documentation-examples.patch
  * debian/rules: drop deprecated build args --no-boost --no-xsimd

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Jan 2024 02:42:25 +0100

pythran (0.14.0+ds-5) unstable; urgency=medium

  * Team upload.
  * python3-pythran Depends: python3-setuptools.
    No longer automatically included in python 3.12. Closes: #1059634.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Jan 2024 03:44:08 +0100

pythran (0.14.0+ds-4) unstable; urgency=medium

  * Team upload.
  * update debian config files and tests to replace libatlas-base-dev
    references to libblis-dev (since atlas is deprecated and openblas
    is not available on armel)

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Dec 2023 02:18:32 +0100

pythran (0.14.0+ds-3) unstable; urgency=medium

  * Team upload.
  * debian patch python_3.12_258ab9a.diff applies upstream
    commit 258ab9a to support Python 3.12. Closes: #1056515.
  * drop debian patch 0004-Enhance-atlas-auto-detection.patch.
    The ATLAS BLAS implementation is deprecated, and its patch
    interferes with application of the Python 3.12 patch.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Dec 2023 16:45:24 +0100

pythran (0.14.0+ds-2) unstable; urgency=medium

  * Team upload.
  * upload pythran 0.14 to unstable (xsimd 10 is now available)

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Sep 2023 17:02:28 +0200

pythran (0.14.0+ds-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * remove autogenerated doc files with dh_clean. Closes: #1046079.
  * drop debian patch gcc13_PR2029.patch (applied upstream)

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Sep 2023 14:08:53 +0200

pythran (0.13.1+ds-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jul 2023 11:20:38 +0200

pythran (0.13.0+ds-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 May 2023 17:46:58 +0200

pythran (0.13.0~beta0~PR2100-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release (PR2100)

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Apr 2023 13:15:17 +0200

pythran (0.12.1+ds-1exp4) experimental; urgency=medium

  * Team upload.
  * versioned Depends: libxsimd-dev (>= 10.0.0~)
    (argminmax.hpp uses xsimd::batch_bool_cast)

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 11:47:37 +0100

pythran (0.12.1+ds-1exp3) experimental; urgency=medium

  * Team upload.
  * debian patch config-linux.patch removes the unknown C compiler
    option -Wno-unknown-warning-option from pythran-linux.cfg
    (it might be a clang option but gcc does not recognise it).
  * debian/tests: print value of CXXFLAGS used when running tests
    (to help keep track of USE_XSIMD)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Jan 2023 13:21:24 +0100

pythran (0.12.1+ds-1exp2) experimental; urgency=medium

  * Team upload.
  * use XSIMD acceleration only on supported architectures
    (amd64 arm64 i386)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 19:19:46 +0100

pythran (0.12.1+ds-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches scikit-image_greyreconstruct_int.patch
      and 0001-Remove-Wno-absolute-value-flag-in-tests.patch
  * update Build-Depends: python3-ply (>= 3.4~)
  * run tests with CXXFLAGS=-DUSE_XSIMD

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jan 2023 04:20:05 +0100

pythran (0.11.0+ds-8) unstable; urgency=medium

  * Team upload.
  * debian patch gcc13_PR2029.patch applies upstream PR#2029 to fix
    build with gcc-13. Closes: #1037823.

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Jul 2023 16:17:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,24 @@
 Build-Depends:
  debhelper-compat (=13),
  dh-python,
- libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
+ pybuild-plugin-pyproject,
+ libblas-dev | libopenblas-dev | libblis-dev | libblas.so,
  libboost-dev,
- libxsimd-dev (>= 8.0.5~),
+ libxsimd-dev (>= 10.0.0~),
  python3-all-dev,
  python3-beniget (>= 0.4.0~),
  python3-gast (>= 0.5.0~),
  python3-guzzle-sphinx-theme <!nodoc>,
  python3-numpy,
  python3-pip,
- python3-ply (>= 0.34~),
+ python3-ply (>= 3.4~),
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.1
+Build-Depends-Indep:
+ python3-nbsphinx <!nodoc>,
+ pandoc <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://github.com/serge-sans-paille/pythran
 Vcs-Git: https://salsa.debian.org/python-team/packages/pythran.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pythran
@@ -29,10 +33,11 @@
 Architecture: any
 Depends:
  g++ | c++-compiler,
- libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
+ libopenblas-dev | libblis-dev | libblas-dev | libblas.so,
  libboost-dev,
  python3-all-dev,
- libxsimd-dev (>= 8.0.5~),
+ python3-setuptools,
+ libxsimd-dev (>= 10.0.0~),
  ${misc:Depends},
  ${python3:Depends},
 Description: ahead of time compiler for Python

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/pythran-$1.tar.gz/ \
 https://github.com/serge-sans-paille/pythran/tags .*/archive/.*/v?([\d\.]+).tar.gz

## pythran 0.16.1+ds

=== debian/changelog ===
pythran (0.16.1+ds-3) unstable; urgency=medium

  * Team upload.
  * update debian/tests
    - remove repetition of DEB_HOST_ARCH setting
    - riscv64: run all tests on default python only

 -- Drew Parsons <dparsons@debian.org>  Fri, 31 May 2024 00:07:35 +0200

pythran (0.16.1+ds-2) unstable; urgency=medium

  * Team upload.
  * debian/tests: run riscv64 tests on default python only

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 May 2024 14:43:54 +0200

pythran (0.16.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - fixes significant memory leak in ndarray from 0.16.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 May 2024 10:03:34 +0200

pythran (0.16.0+ds-3) unstable; urgency=medium

  * Team upload.
  * on riscv64 run only a third of test cases in pythran-test-cases

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 May 2024 15:29:58 +0200

pythran (0.16.0+ds-2) unstable; urgency=medium

  * Team upload.
  * fix arch for riscv64 test restrictions

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 May 2024 09:39:02 +0200

pythran (0.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 May 2024 10:50:24 +0200

pythran (0.15.0+ds-3) unstable; urgency=medium

  * Team upload.
  * debian/tests: riscv64 runs extremely slowly such that the test
    session times out, so use a restricted subset

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 May 2024 20:19:12 +0200

## pythran 0.17.0%2Bds

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: upstream-tests, pythran-test-cases
-Depends: @, python3-all, python3-pytest, python3-scipy, libatlas-base-dev
+Depends: @, python3-all, python3-pytest, python3-scipy, libblis-dev
 
 # Needs root for update-alternatives.
 Tests: pythran-openblas

## pythran 0.17.0+ds

=== requirements.txt ===
ply>=3.4
setuptools
gast~=0.6.0
numpy
beniget~=0.4.0

=== docs/Makefile ===

SPHINXBUILD   = sphinx-build
BUILDDIR      = _build
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees .

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished.\nfile://"$(shell pwd)"/_build/html/index.html"

=== website/Makefile ===
TARGET=pythrandoc

SED=sed
ZIP=zip
CP=cp
LN_S=ln -s

PAGES=MANUAL CLI SUPPORT DEVGUIDE TUTORIAL INTERNAL LICENSE AUTHORS TODO Changelog

all:index.rst $(patsubst %, %.rst, $(PAGES)) pythran.png
	PYTHONPATH=..:$$PYTHONPATH sphinx-build . $(TARGET)

dist:all
	rm -f $(TARGET).zip
	cd $(TARGET) && $(ZIP) -r ../$(TARGET).zip *

index.rst:../README.rst Makefile
	$(SED) -r $< $(patsubst %, -e 's/(%)/:doc:`\1`/g', $(PAGES)) \
		   -e 's,http://pythonhosted.org/pythran/,.. toctree::\n\t:maxdepth: 1\n\n$(patsubst %, \t%\n, $(PAGES)),g' \
		   > $@

MANUAL.rst:../doc/MANUAL.rst
	$(LN_S) $<

CLI.rst:../doc/CLI.rst
	$(LN_S) $<

DEVGUIDE.rst:../doc/DEVGUIDE.rst
	$(LN_S) $<

TUTORIAL.rst:../doc/TUTORIAL.rst
	$(LN_S) $<

INTERNAL.rst:../doc/INTERNAL.rst
	$(LN_S) $<

LICENSE.rst:../LICENSE Makefile
	echo "=======\nLICENSE\n=======\n\n" > $@
	cat $< >> $@

AUTHORS.rst:../AUTHORS
	$(LN_S) $< $@

TODO.rst:../TODO
	$(LN_S) $< $@

SUPPORT.rst:support.py ../pythran/tables.py
	./$< > $@


Changelog.rst:../Changelog
	echo "=========\nChangelog\n=========\n\n" > $@
	cat $< >> $@

pythran.png:../logo.svg Makefile
	convert -density 1200 -resize x80 -background none $< $@

=== debian/changelog ===
pythran (0.17.0+ds-2ubuntu1) questing; urgency=medium

  * Use -std=c++14 required by Boost.Math 1.88, see #1110838

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 11 Aug 2025 14:59:18 +0000

pythran (0.17.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Patch-out generation of python3-pkg-resources dependency
    (Closes: #1083728)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 May 2025 13:22:32 +0200

pythran (0.17.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Dec 2024 23:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pythran
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diego M. Rodriguez <diego@moreda.io>
 Build-Depends:
  debhelper-compat (=13),
@@ -23,7 +24,7 @@
 Build-Depends-Indep:
  python3-nbsphinx <!nodoc>,
  pandoc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/serge-sans-paille/pythran
 Vcs-Git: https://salsa.debian.org/python-team/packages/pythran.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pythran

=== debian/rules ===
--- 
+++ 
@@ -16,18 +16,30 @@
 # Llimit the testing to one file, as the full test suite is very time
 # consuming.
 export PYBUILD_TEST_ARGS=pythran/tests/test_base.py
-# Disable copying third party libraries during build and install.
-export PYBUILD_BUILD_ARGS=build_py --no-boost --no-xsimd
-export PYBUILD_INSTALL_ARGS=build_py --no-boost --no-xsimd
+
+empty :=
+space := $(empty)$(empty)
+
+# use XSIMD only on supported architectures
+XSIMD_ARCH_LIST := amd64 arm64 i386
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(XSIMD_ARCH_LIST)$(space)))
+  XSIMD_CONFIG=-DUSE_XSIMD
+else
+  XSIMD_CONFIG=
+endif
+
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
+execute_after_dh_clean:
+	rm -f docs/AUTHORS.rst docs/LICENSE.rst docs/Changelog.rst docs/SUPPORT.rst docs/index.rst
+
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH),i386)
-	CXXFLAGS="-march=native" dh_auto_test
+	CXXFLAGS="$(XSIMD_CONFIG) -march=native" dh_auto_test
 else
-	dh_auto_test
+	CXXFLAGS=$(XSIMD_CONFIG) dh_auto_test
 endif
 
 execute_before_dh_sphinxdoc-indep:

## pythran 0.18.1+ds

=== debian/changelog ===
pythran (0.18.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - uses -std=c++14. Closes: #1110838.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 17:16:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pythran
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diego M. Rodriguez <diego@moreda.io>
 Build-Depends:
  debhelper-compat (=13),
@@ -24,7 +23,7 @@
 Build-Depends-Indep:
  python3-nbsphinx <!nodoc>,
  pandoc <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/serge-sans-paille/pythran
 Vcs-Git: https://salsa.debian.org/python-team/packages/pythran.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pythran
